<?php
namespace Home\Controller;
use Think\Controller;
/*
* 游戏控制器
*
*/
class GameController extends BaseController
{

    //游戏列表
    public function gameList()
    {   
        $model= new \Home\Model\GameModel();
        //获取游戏列表数据
        $result = $model->getData();
        echo $this->formatRes($result);
    }

    //游戏点击记录
    public function clickCount()
    {
        $model= new \Home\Model\GameModel();
        $token = decryptToken(I('token'));
        $gid = I('gid');

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            if(empty($gid)){
                $result = array(
                    'c'=>2
                    ,'msg'=>'游戏不能为空'
                );
			} else {
                //记录游戏点击数据
                $result = $model->clickCount($token['uid'],$gid);
            }

        }
        echo $this->formatRes($result);
    }


    //用户游戏列表（玩过游戏）
    public function userGame()
    {
        $token = decryptToken(I('token'));
        $gid = I('gid');

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            $model= M("yl_member_game","",C("LEWAN_HEZI"));
            $uid = $token['uid'];
             //获取数量（分页）
            $size = I('size',10);
            $page = I('page',1);
            $skip = $size * ($page-1);
        
            $model = $model->join('left join yl_game on yl_game.sysid=yl_member_game.r_game');
            $where = array(
                'yl_member_game.uid'=>$uid
                ,'yl_game.status'=>1
            );
            $field = 'yl_game.sysid as id,yl_game.name,yl_game.icon,yl_game.appid,yl_game.gourl';
            $gameList = $model->where($where)->limit($skip,$size)->order('yl_member_game.create_time desc')->field($field)->select();
            if(!empty($gameList)) {
                $result = array(
                    'c'=>1
                    ,'msg'=>'获取成功'
                    ,'d'=>array(
                        'gameList'=>$gameList
                    )
                );
            } else {
                $result = array(
                    'c'=>2
                    ,'msg'=>'暂无数据'
                );
            }
        }
        echo $this->formatRes($result);
    }


    //用户推荐游戏列表（没玩过游戏）
    public function userRecommend()
    {
        $token = decryptToken(I('token'));

        if($token == false) {
            $result = array(
                'c'=>2
                ,'msg'=>'token不正确'
            );
        } else {
            $uid = $token['uid'];
            $userGame = M("yl_member_game","",C("LEWAN_HEZI"))->where(array('uid'=>$uid))->field('r_game')->select();

            $where = array();
            if(!empty($userGame)) {
                $gameId = array_column($userGame,'r_game');
                $where['sysid'] = array('not in',$gameId);
            }
            
            $gameList = M("yl_game","",C("LEWAN_HEZI"))->where($where)->field('sysid,name,gamer,ad,appid,gourl')->select();

            if(!empty($gameList)) {
                $result = array(
                    'c'=>1
                    ,'msg'=>'获取成功'
                    ,'d'=>array(
                        'gameList'=>$gameList
                    )
                );
            } else {
                $result = array(
                    'c'=>2
                    ,'msg'=>'暂无数据'
                );
            }
        }
        echo $this->formatRes($result);
    }



}

?>